<!-- 
//Funzione per inserire gli slash nell'inserimento della data di nascita 
function addSlashes(input) { 
  var v = input.value; 
  if (v.match(/^\d{2}$/) !== null) { 
    input.value = v + '/'; 
  } else if (v.match(/^\d{2}\/\d{2}$/) !== null) { 
    input.value = v + '/'; 
  } 
} 

//Script per far apparirre i placeholder anche in IE 
//Prima controlla che si stia usando IE poi se fosse cos applica lo script 
$(document).ready(function(){ 
  if($.browser.msie) { 
    $('[placeholder]').focus(function() { 
      var element = $(this); 
      if (element.val() == element.attr('placeholder')) { 
        element.val(''); 
        element.removeClass('placeholder'); 
      } 
    }).blur(function() { 
      var element = $(this); 
      if (element.val() == '' || element.val() == element.attr('placeholder')) { 
        element.addClass('placeholder'); 
        element.val(element.attr('placeholder')); 
      } 
    }).blur(); 
    $('[placeholder]').parents('form').submit(function() { 
      $(this).find('[placeholder]').each(function() { 
        var element = $(this); 
        if (element.val() == element.attr('placeholder')) { 
          element.val(''); 
        } 
      }) 
    }) 
  } 
}); 

//Controllo forza password 
$(document).ready(function(){ 
  var width = $('#result').width(); 
  var actRate = 0; 
  $('#bar').css({'height':'100%','width':0,'background-color':'red'}); 
  var lowerCase = /[a-z]+/; 
  var upperCase = /[A-Z]+/; 
  var numbers = /[0-9]+/; 
  var specialChars = /[\040\041\042\043\044\045\046\047\050\051\052\053\054\055\056\057\072\073\074\075\076\077\100\133\135\137\173\174\175]+/; 
  var specialCharsBonus = /[\040\041\042\043\044\045\046\047\050\051\052\053\054\055\056\057\072\073\074\075\076\077\100\133\135\137\173\174\175]{4,}/; 
  $('#password').keyup(function(){ 
    var pwd = $('#password').val() 
    var rate = 0; 
    if(pwd.length >= 6) 
    { 
      if(lowerCase.test(pwd)) 
      { 
        rate += 10; 
      } 
      if(upperCase.test(pwd)) 
      { 
        rate += 10; 
      } 
      if(numbers.test(pwd)) 
      { 
        rate += 10; 
      } 
      if(specialChars.test(pwd)) 
      { 
        rate += 20; 
      } 
      if(specialCharsBonus.test(pwd)) 
      { 
        rate += 30; 
      } 
      if(pwd.length > 12) 
      { 
        rate += 20; 
      } 
    } 
    var barWidth = rate * (width / 100); 
    $('#bar').animate({ 
      width: barWidth 
      },500, function(){ 
        if(rate < 25) 
        { 
          $('#bar').css('background-color', 'red'); 
        } 
        if(rate >= 25 && rate < 50) 
        { 
          $('#bar').css('background-color', '#FF7F2A'); 
        } 
        if(rate >= 50 && rate < 75) 
        { 
          $('#bar').css('background-color', '#AAFF55'); 
        } 
        if(rate >= 75) 
        { 
          $('#bar').css('background-color', 'green'); 
        } 
      }); 
    }); 
  }); 
