<?php 
  session_start(); 

# http://localhost/test_site/php/test/MAIL/biblionetsanmaurizio.php

?> 
<!DOCTYPE html>
<head>
  <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js" charset="utf-8"></script> 
  <script type="text/javascript" src="js/validation2.js" charset="utf-8"></script> 
  <script type="text/javascript">
    <?php require_once 'biblionetsanmaurizio.js'; ?>
  </script>

  <style type="text/css"> 
    <?php require_once 'biblionetsanmaurizio.css'; ?>
  </style> 
</head> 


<body> 
  <div id="contenitore"> 
    <?php include 'header3.php'; ?> 
    <div id="contenuto_reg" class="clearfix"> 
<?php 
  require_once 'biblionetsanmaurizio_f.php';

  if(isset($_POST['invia'])){ 
    if($_SERVER['REQUEST_METHOD'] == 'POST'){ 
      //Filtro dati con $mysqli
      $nome      = $mysqli->real_escape_string(trim($_POST['nome'])); 
      $cognome   = $mysqli->real_escape_string(trim($_POST['cognome'])); 
      $eta       = $mysqli->real_escape_string(trim($_POST['nascita'])); 
      $email     = $mysqli->real_escape_string(trim($_POST['email'])); 
      $interessi = $mysqli->real_escape_string(trim($_POST['interessi'])); 
      $username  = $mysqli->real_escape_string(trim($_POST['username'])); 
      $password  = $mysqli->real_escape_string(trim($_POST['password'])); 
      $password2 = $mysqli->real_escape_string(trim($_POST['password2'])); 
      $codiceconferma = md5(uniqid(rand())); 

      //preparo un messaggio a vuoto per gli errori 
      $ok_ko=""; 
      $visibilit = "hidden"; 

      if(!ver_testo($username,6,15)){
        $ok_ko.="Username non corretto, deve essere compreso tra 6 e 15 caratteri compresi i caratteri jolly <br />"; 
        echo "<meta http-equiv='Refresh' content='200; URL=".htmlspecialchars($_SERVER['PHP_SELF'])."'>";
      } 
      if(!ver_testo($password,6,12)){
        $ok_ko.="La password deve essere composta da 6 a 12 caratteri <br />"; 
        echo "<meta http-equiv='Refresh' content='200; URL=".htmlspecialchars($_SERVER['PHP_SELF'])."'>";
      } 
      if(!ver_testo($password2,6,12)){
        $ok_ko.="La password di conferma non coincide con la prima <br />";
      } 
      if($password != $password2){
        $ok_ko.="Le password non coincidono <br />";
      } 
      if(!filter_var($email, FILTER_VALIDATE_EMAIL)){
        $ok_ko.="L'indirizzo email non  valido <br />";
      } 
      if(!controllodata($eta)){
        $ok_ko.="La data non  stata inserita in modo corretto <br />";
      } 
//    if(preg_match("/^[0-9]{1,2}\/[0-9]{1,2}\/[0-9]{4}$/", $eta)){
//      $ok_ko.="Devi inserire la tua eta <br />";
//    }

      if(!empty($ok_ko)) { 
        $visibilit = "visible"; 
        echo"<div style='visibility: ".$visibilit."'; class='ok_ko'>".$ok_ko."</div>"; 
        $ok_ko =""; 
        echo "<meta http-equiv='Refresh' content='4; URL=".htmlspecialchars($_SERVER['PHP_SELF'])."'>";
      }
      if(empty($ok_ko)) { 
        //se  rimasto vuoto non ci sono errori 
        //Controllo se gi presente un username o email nel DB 
        $verificauser = $mysqli->query("SELECT * FROM utenti WHERE username='$username' OR email='$email'"); 
        if ($verificauser->num_rows > 0){ 
          //avvisi e torni al form pulito 
          echo '<div id="errore">ATTENZIONE: Username o Email gi esistenti, scegline un altro. <br /></div>'; 
          echo "<meta http-equiv='Refresh' content='5; URL=TEST%20FORM%20REAL%20TIME.php'>"; 
          //echo "ATTENZIONE: Username o Email gi esistenti, scegline un altro. <br />"; 
          //echo "<meta http-equiv='Refresh' content='300; URL=TEST%20FORM%20REAL%20TIME.PHP'>"; 
        } else { 
          //Invio i dati dell'utente al db 
          $inviautentitemp = $mysqli->query("INSERT INTO utenti_temp (codiceconferma, nome, cognome, eta, interessi, username, password, email) VALUES ('$codiceconferma', '$nome', '$cognome', '$eta', '$interessi', '$username', '$password', '$email')")or die ($mysqli->error); 
          if ($inviautentitemp) { 
            //se tutto  OK da qua preparo l'invio della mail di conferma per l'avvenuta registrazione.
            require_once 'phpmailer/class.phpmailer.php';

            $mail = new PHPMailer(); 
            $mail->IsSMTP();                    // attiva l'invio tramiteSMTP 
            $mail->isHTML(true); 
            $mail->SMTPDebug= 4; 

            $mail->Host       = "smtps.aruba.it";
            $mail->Port       = 465;
            $mail->SMTPAuth   = true; 
            $mail->SMTPSecure = "ssl"; 
            $mail->Username   = "info@sito.it";
            $mail->Password   = "pass";

            // Impostazioni invio mail al cliente 
            $mail->Setfrom ("admin@biblionetsanmaurizio.com","Biblionet");   //Inserire la mail dell'amministratore ed il nome del sito 
            $mail->AddReplyTo("noreply@biblionetsanmaurizio.com","Amministratore"); 
            $mail->AddAddress ($email); //Mail di chi si  iscritto che ricever la richiesta di conferma 
            $mail->AltBody = "Il tuo client di posta non  settato per la ricezione in HTML"; 
            $mail->Subject = "Conferma di registrazione al sito www.biblionetsanmaurizio.com"; 
            $testo ="<p>Ecco il tuo codice di attivazione</p><br />"; 
            $testo.="<p>Clicca sul link per confermare la registrazione</p><br />"; 
            $testo.="<a href=\"http://siti/Biblionet%20Nuova%20Live%20validation/benvenuto.php?passkey=$codiceconferma\">Clicca qui</a>"; 
            $mail->Body =$testo; 

            if ($mail->Send()) { 
              echo "Mail inviata con successo"; 
            } else { 
              echo "Si e' verificato un errore nell'invio della mail"; 
              //echo $mail->ErrorInfo; 
            } 
          } else { 
            //Se non riesco ad inviare la mail do questo errore 
            echo "ERRORE di connessione, ti preghiamo di riprovare pi; tardi<br />"; 
            echo "<meta http-equiv='Refresh' content='500; URL=Newindex.php'>"; 
          } 
        } 
      } else { 
        //Se i campi danno errori do questo avviso 
        echo $ok_ko; 
        echo "<meta http-equiv='Refresh' content='100; URL=".htmlspecialchars($_SERVER['PHP_SELF'])."'>"; 
      } 
    } 
  } else { 
?>
      <div id="content"> 

        <form id="jform" action='<?php echo $_SERVER['PHP_SELF']; ?>' method="post">
        <!--<form id="jform" action="registrazioneuser2A.php" method="post">--> 

          <fieldset> 
            <legend>Informazioni Personali</legend> 
            <p> 
              <label for="nome" class="block">Nome:</label> 
              <input type="text" name="nome" id="nome" placeholder="Il tuo Nome" /> 
            </p> 
            <p> 
              <label for="cognome" class="block">Cognome:</label> 
              <input type="text" name="cognome" id="cognome" placeholder="Il tuo Cognome" /> 
            </p> 
            <p> 
              <label for="nascita" class="block">Data di nascita <small>(gg/mm/aaaa)</small>:</label> 
              <input type="text" name="nascita" id="nascita" placeholder="Quando sei nato" onKeyUp="addSlashes(this);" value="" /> 
            </p> 
          </fieldset> 

          <fieldset> 
            <legend>Username</legend> 
            <p> 
              <label for="username" class="block">Username</label> 
              <input type="text" name="username" id="username" placeholder="Nickname di fantasia" />
            </p> 
          </fieldset> 

          <fieldset> 
            <legend>Email</legend> 
            <p> 
              <label for="email" class="block">Email <small>(mickey@mou.se)</small>:</label> 
              <input type="text" name="email" id="email" placeholder="La tua mail" /> 
            </p> 
          </fieldset> 

          <fieldset> 
            <legend>Interessi</legend> 
            <p> 
              <label for="interessi" class="block"></label> 
              <textarea id="interessi" name="interessi" cols="55" rows="10" placeholder="Scrivici qualcosa su di te." ></textarea> 
            </p> 
          </fieldset> 
          <fieldset> 
            <p> 
              <label for="password" class="block">Password:</label> 
              <input type="password" name="password" id="password" /> 
            </p> 
              <label><small>Quanto  forte la tua password?</small></label> 
              <div id="result" class="radius"> 
                <div id="bar" class="radius"></div> 
              </div> 
            <p> 
              <label for="password2" class="block">Conferma Password:</label> 
              <input type="password" name="password2" id="password2" /> 
            </p> 
          </fieldset> 

<!--      <fieldset> 
            <p> 
              <img id="siimage" style="border: 1px solid #000; margin-right: 15px; margin-top: 15px" src="./securimage/securimage_show.php?sid=<?php echo md5(uniqid()) ?>" alt="CAPTCHA Image" align="left"> 
              <object type="application/x-shockwave-flash" data="securimage/securimage_play.swf?bgcol=#ffffff&amp;icon_file=./images/audio_icon.png&amp;audio_file=./secureimage_play.php" height="32" width="32"> 
                <param name="movie" value="./securimage_play.swf?bgcol=#ffffff&amp;icon_file=./images/audio_icon.png&amp;audio_file=./securimage_play.php" /> 
              </object> 
              &nbsp; 
              <a tabindex="-1" style="border-style: none;" href="#" title="Cambia Immagine" onclick="document.getElementById('siimage').src = 'secureimage/securimage_show.php?sid=' + Math.random(); this.blur(); return false"><img src="securimage/images/refresh.png" alt="Reload Image" onclick="this.blur()" align="bottom" border="0"></a><br /> 
              <strong>Inserisci il codice*:</strong><br /> 
              <input type="text" id="captcha_code" name="captcha_code" size="12" maxlength="8" /> 
            </p> 
          </fieldset>--> 

          <p> 
            <button type="submit" id="send" name="invia">Invia</button> 
            <button type="reset" class="send" onclick="self.location.reload(true)">Reset</button> 
          </p> 
        </form> 
      </div><!-- content --> 
<?php 
} 
?> 
    </div><!--contenuto--> 
  </div><!--contenitore--> 

  <div class="vuoto"></div> 
  <div id="footer"><p>Copyright - Tutti i diritti sono riservati - E' vietata la riproduzione anche parziale</p></div> 
</body> 
</html> 
